//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
// Copyright 2000.    Moe Wheatley AE4JY  <ae4jy@qsl.net>
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
////////////////////////////////////////////////////////////////////////
#if !defined(AFX_BProgressCtrl_H__C221E2A5_69E3_11D3_A25A_00A0C996E7F5__INCLUDED_)
#define AFX_BProgressCtrl_H__C221E2A5_69E3_11D3_A25A_00A0C996E7F5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BProgressCtrl.h : header file
//
#define CBPROGRESS_CLASSNAME    _T("BProgressCtrl")  // Window class name

/////////////////////////////////////////////////////////////////////////////
// CBProgressCtrl window

#define PROG_STATE_OFF 0
#define PROG_STATE_NOSIG 1
#define PROG_STATE_SYNC 2
#define PROG_STATE_READ 3
#define PROG_STATE_GOOD 4
#define PROG_STATE_BAD 5
#define PROG_STATE_FECSYNC 6

class CBProgressCtrl : public CWnd
{
// Construction
public:
	CBProgressCtrl();

// Attributes
public:

// Operations
public:
	virtual BOOL Create(DWORD dwStyle, const RECT& rect,
							CWnd* pParentWnd, UINT nID);
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBProgressCtrl)
	protected:
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL

// Implementation
public:
	void SetProgressState(INT state, CString Str);
	void SetValue( INT nValue );
	virtual ~CBProgressCtrl();

	// Generated message map functions
protected:
	//{{AFX_MSG(CBProgressCtrl)
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
    BOOL RegisterWindowClass();
	void InvalidateCntrl();

private:
	BOOL m_ColorDelay;
	INT m_nValue;
	CBitmap m_bmImage;		// bitmap image of status window
	COLORREF m_LEDColor;
	COLORREF m_BkColor;
	COLORREF m_TxtColor;
	COLORREF m_BarColor;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BProgressCtrl_H__C221E2A5_69E3_11D3_A25A_00A0C996E7F5__INCLUDED_)
