// MySocket.cpp : implementation file
//
//////////////////////////////////////////////////////////////////////
// Copyright 2000.    Moe Wheatley AE4JY  <ae4jy@qsl.net>
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "DSocket.h"
#include "AO40RcvDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DSocket

CDSocket::CDSocket()
{
}

CDSocket::~CDSocket()
{
}


/////////////////////////////////////////////////////////////////////////////
// DSocket member functions

void CDSocket::SetParent(CDocument *pWnd)
{
	// Set the member pointer
	m_pWnd = pWnd;
}

void CDSocket::OnAccept(int nErrorCode)
{
	// Were there any errors?
	if (nErrorCode == 0)
		// No, call the dialog's OnAccept function
		((CAO40RcvDoc*)m_pWnd)->OnAccept();
}

void CDSocket::OnConnect(int nErrorCode)
{
	// Were there any errors?
	if (nErrorCode == 0)
		// No, call the dialog's OnConnect function
		((CAO40RcvDoc*)m_pWnd)->OnConnect();
}

void CDSocket::OnReceive(int nErrorCode)
{
	// Were there any errors?
	if (nErrorCode == 0)
		// No, call the dialog's OnReceive function
		((CAO40RcvDoc*)m_pWnd)->OnReceive();
}

void CDSocket::OnClose(int nErrorCode)
{
	// Were there any errors?
	if (nErrorCode == 0)
		// No, call the OnClose function
		((CAO40RcvDoc*)m_pWnd)->OnSocketClose();
}

void CDSocket::OnSend(int nErrorCode)
{
	// Were there any errors?
	if (nErrorCode == 0)
		// No, call the dialog's OnSend function
		((CAO40RcvDoc*)m_pWnd)->OnSend();
}
