//////////////////////////////////////////////////////////////////////
// Copyright 2000.    Moe Wheatley AE4JY  <ae4jy@qsl.net>
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
////////////////////////////////////////////////////////////////////////
//       Text lookup tables

typedef const char t_msg[2][11];
typedef const char t_msg2[4][11];

t_msg MSG_ONOFF = {
	" OFF      ",
	" ON       "
};
t_msg MSG_OFFON = {
	" ON       ",
	" OFF      "
};
t_msg MSG_PN = {
	" Negative ",
	" Positive "
};
t_msg MSG_UPDN = {
	" Below Y-X",
	" Above Y-X"
};
t_msg MSG_YN = {
	" NO       ",
	" YES      "
};
t_msg MSG_MODE1 = {
	" 3-Axis   ",
	" Spin     "
};
t_msg MSG_SARRAY = {
	" Safe     ",
	" Armed    "
};

const char MSG_POINTING[4][11] = {
	" none     ",
	" Side     ",
	" Top      ",
	" Side+Top "
};

t_msg2 MSG_RXANT1 = {
	" Off      ",
	" On HiGain",
	" Off      ",
	" On Omni  "
};
t_msg2 MSG_RXANT2 = {
	" On HiGain",
	" Off      ",
	" On Omni  ",
	" Off      "
};
t_msg2 MSG_LANT = {
	"  Omni+Hi ",
	"   Omni   ",
	"  HiGain  ",
	"     -    "
};
t_msg2 MSG_VTXANT = {
	" Off      ",
	" Omni     ",
	"  HiGain  ",
	"     -    "
};

t_msg2 MSG_UHTXANT = {
	" Off      ",
	" Low HiGn ",
	" Hi HiGn  ",
	"     -    "
};
t_msg2 MSG_UOTXANT = {
	" Off      ",
	" Low HiGn ",
	" Hi HiGn  ",
	"     -    "
};
t_msg2 MSG_XTXANT = {
	" Off      ",
	" On       ",
	" Off      ",
	" TWTA On  "
};
t_msg2 MSG_KTXANT = {
	" Off      ",
	" On EB    ",
	" On       ",
	"    -     "
};
t_msg2 MSG_MAGSYS = {
	" Off      ",
	" On       ",
	" On       ",
	" On       ",
};
t_msg2 MSG_BATSTAT = {
	" Main+Aux ",
	" Main On  ",
	" Aux On   ",
	"    -     ",
};
t_msg2 MSG_BEAC1 = {
	" Carrier  ",
	" Ranging  ",
	" EB Source",
	" EB Source" 
};

